Bug 950171 - Review Request: librecad - Computer Assisted Design (CAD) Application
Review Request: librecad - Computer Assisted Design (CAD) Application
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
NotReady
:
Depends On: 950172
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-09 15:17 EDT by Tom "spot" Callaway
Modified: 2014-10-09 09:53 EDT (History)
7 users (show)

See Also:
Fixed In Version: librecad-2.0.5-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-02 21:47:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
licensecheck.txt (108.26 KB, text/plain)
2013-10-19 03:36 EDT, Björn "besser82" Esser
no flags Details

  None (edit)
Description Tom "spot" Callaway 2013-04-09 15:17:35 EDT
Spec URL: http://spot.fedorapeople.org/librecad.spec
SRPM URL: http://spot.fedorapeople.org/librecad-2.0.0-0.2.beta2.fc18.src.rpm
Description: 
A graphical and comprehensive 2D CAD application.
Fedora Account System Username: spot
Comment 1 Ralf Corsepius 2013-04-30 00:43:20 EDT
FTBFS:
...
g++ -c -pipe -std=c++0x -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -O2 -Wall -W -D_REENTRANT -DQC_APPKEY="/LibreCAD" -DQC_APPNAME="LibreCAD" -DQC_COMPANYNAME="LibreCAD" -DQC_COMPANYKEY="LibreCAD" -DQC_VERSION="master" -DQC_DELAYED_SPLASH_SCREEN=1 -DHAS_BOOST=1 -DQC_SCMREVISION="2.0.0beta2" -DQC_APPDIR="librecad" -DQINITIMAGES_LIBRECAD=qInitImages_librecad -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/lib64/qt4/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtSql -I/usr/include/QtSvg -I/usr/include -I/usr/include/QtHelp -I/usr -I/usr/include/libdxfrw0 -I../../libraries/jwwlib/src -Icmd -Ilib/actions -Ilib/creation -Ilib/debug -Ilib/engine -Ilib/fileio -Ilib/filters -Ilib/gui -Ilib/information -Ilib/math -Ilib/modification -Ilib/scripting -Iactions -Imain -Iplugins -Iui -Iui/forms -I../res -I../../generated/librecad/moc -I../../generated/librecad/ui -o ../../generated/librecad/obj/rs_preview.o lib/actions/rs_preview.cpp
In file included from lib/engine/rs_entitycontainer.h:33:0,
                 from lib/actions/rs_snapper.h:31,
                 from lib/actions/rs_actioninterface.h:33,
                 from lib/actions/rs_actioninterface.cpp:28:
lib/engine/rs_ellipse.h:32:29: fatal error: boost/version.hpp: No such file or directory
 #include <boost/version.hpp>
                             ^
compilation terminated.
...

Seems as if BR: boost-devel is required.


2 other (minor) nits:

1) The muParser check/MUPARSER_DIR magic doesn't work:
...
make[1]: Entering directory `/builddir/build/BUILD/LibreCAD-52669bf69231e8efd35e67689f5ad660ea9528b2/librecad'
cd src/ && /usr/lib64/qt4/bin/qmake /builddir/build/BUILD/LibreCAD-52669bf69231e8efd35e67689f5ad660ea9528b2/librecad/src/src.pro CONFIG+=release -o Makefile
Project MESSAGE: Using boost libraries in /usr.
Project MESSAGE: muParser was not found, please install muParser!
Project MESSAGE: Using muParser libraries in .
Project MESSAGE: We will be using CPP11 features
...

AFAIS, this is a defect in common.pro, which doesn't have any actual impact on building, because the muParser files are implicitly picked up through default paths.



2) Bogus -I... in compiler calls:
... -I/usr/include -I/usr ...

I haven't investigated in depth, but this kind of -I... change the inclusion order and may trigger subtile issues. IMO, these also originate from faulty qmake checks for some libs (Wild guess: boost).
Comment 2 Tom "spot" Callaway 2013-04-30 12:42:00 EDT
Thanks for the notes. Added boost-devel and updated to 2.0.0beta5.

Here is a koji scratch build against rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5318148

New SRPM: http://spot.fedorapeople.org/librecad-2.0.0-0.3.beta5.fc19.src.rpm
New SPEC: http://spot.fedorapeople.org/librecad.spec

Note that this needs libdxfrw-0.5.7-3 to build. It is a pending update for all stable branches (and f19).
Comment 3 Björn "besser82" Esser 2013-06-14 10:21:33 EDT
Hello Tom!

Some issues here:

 * License-tag misses some licenses:

   ---> s'!License:.*!& and MIT and X11!'

        (need to do a more intensive check, although)

 * build.log shows there might be missing BRs:

        Project MESSAGE: muParser was not found, please install muParser!
        Project MESSAGE: Using muParser libraries in .
        (shown several times during %build)

 * wrong perms on plugins:

        %{_libdir}/%{name}/plugins/*.so are 0775 should be 0755

 * mixed use of %{buildroot} and $RPM_BUILD_ROOT in spec

   ---> either use the former or the later

 * large noarched-data in arched pkg (~7.5 M)

   ---> you may want to move %{_datadir}/* into an unarched -common subpkg

Fix these issues, please and I'll take another run.

Cheers,
  Björn
Comment 4 Björn "besser82" Esser 2013-06-14 10:45:03 EDT
Just found this in build.log,too. It's issued right after entering mock-root:

Package libdxfrw0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libdxfrw0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libdxfrw0' found
Comment 5 Björn "besser82" Esser 2013-07-19 09:15:26 EDT
Any new progress here?
Comment 6 Björn "besser82" Esser 2013-08-17 07:31:35 EDT
ping?
Comment 7 Tom "spot" Callaway 2013-08-19 10:47:17 EDT
Sorry, I've been buried. I'm pretty sure the libdxfrw0 output in build.log is incorrect, it is indeed using the libdxfrw0 packaged files.

I'll work on a new package today.
Comment 8 Björn "besser82" Esser 2013-09-11 10:16:33 EDT
(In reply to Tom "spot" Callaway from comment #7)
> I'll work on a new package today.

And still no new pkg ;)
Comment 9 Tom "spot" Callaway 2013-09-11 23:51:25 EDT
Argh, this keeps getting bumped. Maybe October... so sorry. :(
Comment 10 Björn "besser82" Esser 2013-09-12 01:31:17 EDT
(In reply to Tom "spot" Callaway from comment #9)
> Argh, this keeps getting bumped. Maybe October... so sorry. :(

np, spot.  Then I'll have a look at this on the end of next month.  ;)
Comment 11 Björn "besser82" Esser 2013-10-16 07:26:12 EDT
Any new timeframe for getting this started, Tom?
Comment 13 Björn "besser82" Esser 2013-10-19 03:35:10 EDT
Package still has some issues  :(

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions

  ---> use `%{_fixperms} %{buildroot}` at the end of %install to fix

- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

  ---> use either one or the other

- update-desktop-database is invoked in %post and %postun if package contains
  desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in librecad
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database

- I would recommend using `%{?betatag}` over `%{betatag}`, because the
  former one expands to '' if not defined.  The latter one will give a
  '%{betatag}' string.

- You should remove all bundled code, e.g. libraries/libdxfrw/, during %prep.

- There are some rpmlint warnings / errors referring to `libdxfrw0`.
  That should be investigated somewhat closer.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

     ---> please filter them from autoprovides, too. 

[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "GPL (v2 or later)", "Unknown or generated". 660
     files have unknown license. Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/950171-librecad/licensecheck.txt

     ---> License-tag misses some used licenses like MIT and APL 2.0

[!]: License file installed when any subpackage combination is installed.

     ---> librecad-parts can be installed seperately, but carries no
          license-information.

[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.

     ---> please provide a suitable breakdown in spec-file.
          See attached licensecheck.txt

[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/librecad

     ---> this is owned by the main-pkg.

[!]: %build honors applicable compiler flags or justifies otherwise.

     ---> There are compiler-flags which get appended by Makefile, which
          might change and override system's compiler-flags.  I'd
          recommend to patch Makefile sorting system's build-flags at the
          end of used flags.

          The linker-flags are not fully obeyed / overridden as in:
          `g++ -Wl,-O1 -Wl,-z,relro`.  The -O1 discards some of the
          previously applied compiler-flags during linking.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 5 files.
[!]: Package complies to the Packaging Guidelines

     ---> severe issues are present  :(

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).

     ---> You should filter autoprovides for those private libs.

[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in librecad-
     fonts , librecad-parts

     ---> not needed, because the packages can be installed or 
          used seperately.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

     ---> Is there any way to run some unittest or testsuite?

[!]: Packages should try to preserve timestamps of original installed files.

     ---> use `install -Dpm` instead of `install -Dm`, please.

[x]: update-mime-database is invoked in %post and %postun if package stores
     mime configuration in /usr/share/mime/packages.
     Note: mimeinfo files in: librecad
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 7997440 bytes in /usr/share

     ---> please move the data over to a noarch'ed pkg

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: librecad-2.0.0-0.4.rc2.fc21.x86_64.rpm
          librecad-devel-2.0.0-0.4.rc2.fc21.x86_64.rpm
          librecad-fonts-2.0.0-0.4.rc2.fc21.noarch.rpm
          librecad-parts-2.0.0-0.4.rc2.fc21.noarch.rpm
          librecad-2.0.0-0.4.rc2.fc21.src.rpm
librecad.x86_64: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad.x86_64: E: non-standard-executable-perm /usr/lib64/librecad/plugins/libimportshp.so 0775L
librecad.x86_64: E: non-standard-executable-perm /usr/lib64/librecad/plugins/libsample.so 0775L
librecad.x86_64: E: non-standard-executable-perm /usr/lib64/librecad/plugins/libasciifile.so 0775L
librecad.x86_64: E: non-standard-executable-perm /usr/lib64/librecad/plugins/liblist.so 0775L
librecad.x86_64: E: non-standard-executable-perm /usr/lib64/librecad/plugins/libsameprop.so 0775L
librecad.x86_64: E: non-standard-executable-perm /usr/lib64/librecad/plugins/libalign.so 0775L
librecad-devel.x86_64: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-devel.x86_64: W: no-documentation
librecad-fonts.noarch: W: spelling-error Summary(en_US) lff -> ff, luff, eff
librecad-fonts.noarch: W: spelling-error %description -l en_US lff -> ff, luff, eff
librecad-fonts.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-parts.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-parts.noarch: W: no-documentation
librecad.src: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad.src: E: specfile-error Package libdxfrw0 was not found in the pkg-config search path.
librecad.src: E: specfile-error Perhaps you should add the directory containing `libdxfrw0.pc'
librecad.src: E: specfile-error to the PKG_CONFIG_PATH environment variable
librecad.src: E: specfile-error No package 'libdxfrw0' found
5 packages and 0 specfiles checked; 10 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint librecad-devel librecad-fonts librecad librecad-parts
librecad-devel.x86_64: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-devel.x86_64: W: no-documentation
librecad-fonts.noarch: W: spelling-error Summary(en_US) lff -> ff, luff, eff
librecad-fonts.noarch: W: spelling-error %description -l en_US lff -> ff, luff, eff
librecad-fonts.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad.x86_64: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad.x86_64: E: non-standard-executable-perm /usr/lib64/librecad/plugins/libimportshp.so 0775L
librecad.x86_64: E: non-standard-executable-perm /usr/lib64/librecad/plugins/libsample.so 0775L
librecad.x86_64: E: non-standard-executable-perm /usr/lib64/librecad/plugins/libasciifile.so 0775L
librecad.x86_64: E: non-standard-executable-perm /usr/lib64/librecad/plugins/liblist.so 0775L
librecad.x86_64: E: non-standard-executable-perm /usr/lib64/librecad/plugins/libsameprop.so 0775L
librecad.x86_64: E: non-standard-executable-perm /usr/lib64/librecad/plugins/libalign.so 0775L
librecad-parts.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-parts.noarch: W: no-documentation
4 packages and 0 specfiles checked; 6 errors, 8 warnings.
# echo 'rpmlint-done:'



Requires
--------
librecad-devel (rpmlib, GLIBC filtered):
    librecad(x86-64)

librecad-fonts (rpmlib, GLIBC filtered):

librecad (rpmlib, GLIBC filtered):
    /bin/sh
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtHelp.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSql.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libc.so.6()(64bit)
    libdxfrw.so.0()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libm.so.6()(64bit)
    libmuparser.so.2()(64bit)
    libpthread.so.0()(64bit)
    librecad-fonts
    librecad-parts
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)
    shared-mime-info

librecad-parts (rpmlib, GLIBC filtered):



Provides
--------
librecad-devel:
    librecad-devel
    librecad-devel(x86-64)

librecad-fonts:
    librecad-fonts

librecad:
    application()
    application(librecad.desktop)
    libalign.so()(64bit)
    libasciifile.so()(64bit)
    libimportshp.so()(64bit)
    liblist.so()(64bit)
    librecad
    librecad(x86-64)
    libsameprop.so()(64bit)
    libsample.so()(64bit)
    mimehandler(image/vnd.dxf)

librecad-parts:
    librecad-parts



Unversioned so-files
--------------------
librecad: /usr/lib64/librecad/plugins/libalign.so
librecad: /usr/lib64/librecad/plugins/libasciifile.so
librecad: /usr/lib64/librecad/plugins/libimportshp.so
librecad: /usr/lib64/librecad/plugins/liblist.so
librecad: /usr/lib64/librecad/plugins/libsameprop.so
librecad: /usr/lib64/librecad/plugins/libsample.so

Source checksums
----------------
https://github.com/LibreCAD/LibreCAD/archive/f87828ec55def73aaa8c3c3e158fc1abc8171b63/librecad-2.0.0rc2.tar.gz :
  CHECKSUM(SHA256) this package     : 52d4940d3650f3e4cbc2244d591373b8f52029516a112ce1bc95d24c5f302084
  CHECKSUM(SHA256) upstream package : 52d4940d3650f3e4cbc2244d591373b8f52029516a112ce1bc95d24c5f302084


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 950171
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

Please fix those issues and I'll run another review.
Comment 14 Björn "besser82" Esser 2013-10-19 03:36:31 EDT
Created attachment 813934 [details]
licensecheck.txt
Comment 15 Tom "spot" Callaway 2013-10-20 13:22:28 EDT
New SRPM: http://spot.fedorapeople.org/librecad-2.0.0-0.5.rc2.fc20.src.rpm
New SPEC: http://spot.fedorapeople.org/librecad.spec

When I looked into the licensing, I saw that there was another bundled lib (the shapelib bits under the MIT license) and I fixed it to use the system copy. This got rid of the MIT bits, the Apache bits are just the font, and that subpackage is labeled correctly.

The odd rpmlint errors about libdxfrw0 seem to be because you don't have libdxfrw-devel installed wherever you ran that rpmlint. When I install it, they don't come up (and libdxfrw-devel is a BuildRequires).

Thanks for the fantastic review. Hopefully, this build resolves those issues. (I also didn't want you to have to wait another few months. :D )
Comment 16 Björn "besser82" Esser 2013-10-20 15:02:34 EDT
Package unfortunately still has some issues.  :(

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

     ---> so-plugins which get loaded by `dlopen()`.  false positive.

[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 641 files have unknown
     license. Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/950171-librecad/licensecheck.txt

     ---> License-tag is fine.  :)

[!]: License file installed when any subpackage combination is installed.

     ---> -langs, -parts and -patterns should have `%doc LICENSE` or
          `Requires: %{name} = %{version}-%{release}`.

[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.

     ---> package-wise breakdown looks legit.

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/librecad

     ---> -fonts, -langs, -parts and -patterns should own
          `%dir %{_datadir}/%{name}` or Requires on main-pkg.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in librecad
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 5 files.
[!]: Package complies to the Packaging Guidelines

     ---> issues are present.

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: update-mime-database is invoked in %post and %postun if package stores
     mime configuration in /usr/share/mime/packages.
     Note: mimeinfo files in: librecad
     See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#mimeinfo

     ---> please add:

          %post
          /usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

          %postun
          /usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in librecad-
     fonts , librecad-langs , librecad-parts , librecad-patterns

     ---> those packages are noarch'ed and should either carry own
          license-file(s) and own `%dir %{_datadir}/%{name}` or
          should have `Requires: %{name} = %{version}-%{release}`.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

     ---> no testsuite available.

[x]: Packages should try to preserve timestamps of original installed files.

     ---> install -Dpm / -pm is used.

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)

     ---> please regenerate srpm from recent spec.

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: librecad-2.0.0-0.5.rc2.fc21.x86_64.rpm
          librecad-devel-2.0.0-0.5.rc2.fc21.x86_64.rpm
          librecad-fonts-2.0.0-0.5.rc2.fc21.noarch.rpm
          librecad-langs-2.0.0-0.5.rc2.fc21.noarch.rpm
          librecad-parts-2.0.0-0.5.rc2.fc21.noarch.rpm
          librecad-patterns-2.0.0-0.5.rc2.fc21.noarch.rpm
          librecad-2.0.0-0.5.rc2.fc21.src.rpm
librecad.x86_64: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-devel.x86_64: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-devel.x86_64: W: no-documentation
librecad-fonts.noarch: W: spelling-error Summary(en_US) lff -> ff, luff, eff
librecad-fonts.noarch: W: spelling-error %description -l en_US lff -> ff, luff, eff
librecad-fonts.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-langs.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-langs.noarch: W: no-documentation
librecad-parts.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-parts.noarch: W: no-documentation
librecad-patterns.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-patterns.noarch: W: no-documentation
librecad.src: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
7 packages and 0 specfiles checked; 0 errors, 13 warnings.

---> Url is fine when used in webbrowser.  Others are ignored or false positives.



Rpmlint (installed packages)
----------------------------
# rpmlint librecad-langs librecad-patterns librecad librecad-part 
s librecad-devel librecad-fonts
librecad-langs.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-langs.noarch: W: no-documentation
librecad-patterns.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-patterns.noarch: W: no-documentation
librecad.x86_64: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-parts.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-parts.noarch: W: no-documentation
librecad-devel.x86_64: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-devel.x86_64: W: no-documentation
librecad-fonts.noarch: W: spelling-error Summary(en_US) lff -> ff, luff, eff
librecad-fonts.noarch: W: spelling-error %description -l en_US lff -> ff, luff, eff
librecad-fonts.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
6 packages and 0 specfiles checked; 0 errors, 12 warnings.
# echo 'rpmlint-done:'

---> Url is fine when used in webbrowser.  Others are ignored or false positives.


Requires
--------
librecad-langs (rpmlib, GLIBC filtered):

librecad-patterns (rpmlib, GLIBC filtered):

librecad (rpmlib, GLIBC filtered):
    /bin/sh
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtHelp.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSql.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libc.so.6()(64bit)
    libdxfrw.so.0()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libm.so.6()(64bit)
    libmuparser.so.2()(64bit)
    libpthread.so.0()(64bit)
    librecad-fonts
    librecad-langs
    librecad-parts
    librecad-patterns
    libshp.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)
    shared-mime-info

librecad-parts (rpmlib, GLIBC filtered):

librecad-devel (rpmlib, GLIBC filtered):
    librecad(x86-64)

librecad-fonts (rpmlib, GLIBC filtered):



Provides
--------
librecad-langs:
    librecad-langs

librecad-patterns:
    librecad-patterns

librecad:
    application()
    application(librecad.desktop)
    librecad
    librecad(x86-64)
    mimehandler(image/vnd.dxf)

librecad-parts:
    librecad-parts

librecad-devel:
    librecad-devel
    librecad-devel(x86-64)

librecad-fonts:
    librecad-fonts



Diff spec file in url and in SRPM
---------------------------------
--- /home/besser82/shared/fedora/review/950171-librecad/srpm/librecad.spec	2013-10-20 20:17:18.933084234 +0200
+++ /home/besser82/shared/fedora/review/950171-librecad/srpm-unpacked/librecad.spec	2013-10-20 18:34:05.000000000 +0200
@@ -166,5 +166,4 @@
 - make patterns and langs noarch subpackages
 - preserve timestamps in install commands
-- fix link flags to not have -O1 by overriding 
 
 * Fri Oct 18 2013 Tom Callaway <spot@fedoraproject.org> - 2.0.0-0.4.rc2


Unversioned so-files
--------------------
librecad: /usr/lib64/librecad/plugins/libalign.so
librecad: /usr/lib64/librecad/plugins/libasciifile.so
librecad: /usr/lib64/librecad/plugins/libimportshp.so
librecad: /usr/lib64/librecad/plugins/liblist.so
librecad: /usr/lib64/librecad/plugins/libsameprop.so
librecad: /usr/lib64/librecad/plugins/libsample.so

Source checksums
----------------
https://github.com/LibreCAD/LibreCAD/archive/f87828ec55def73aaa8c3c3e158fc1abc8171b63/librecad-2.0.0rc2.tar.gz :
  CHECKSUM(SHA256) this package     : 52d4940d3650f3e4cbc2244d591373b8f52029516a112ce1bc95d24c5f302084
  CHECKSUM(SHA256) upstream package : 52d4940d3650f3e4cbc2244d591373b8f52029516a112ce1bc95d24c5f302084


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 950171
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

Please fix those very last easy-to-fix issues and I can (finally) approve this.  :D
Comment 18 Björn "besser82" Esser 2013-10-21 03:16:34 EDT
Package LGTM, now.  :)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

     ---> plugins which are loaded with `dlopen()`.

[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 641 files have unknown
     license. Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/950171-librecad/licensecheck.txt

     ---> License-tag is fine.  :)

[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.

     ---> (sub-)package-wise breakdown looks legit to me.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in librecad
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines

     ---> all issues are fixed, now.  :)

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in librecad-
     fonts , librecad-langs , librecad-parts , librecad-patterns

     ---> packages can be used independently from main-pkg.  License-file
          and dir-ownerships are properly present in sub-packages.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

     ---> no testsuite available.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: update-mime-database is invoked in %post and %postun if package stores
     mime configuration in /usr/share/mime/packages.
     Note: mimeinfo files in: librecad
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: librecad-2.0.0-0.6.rc2.fc21.x86_64.rpm
          librecad-devel-2.0.0-0.6.rc2.fc21.x86_64.rpm
          librecad-fonts-2.0.0-0.6.rc2.fc21.noarch.rpm
          librecad-langs-2.0.0-0.6.rc2.fc21.noarch.rpm
          librecad-parts-2.0.0-0.6.rc2.fc21.noarch.rpm
          librecad-patterns-2.0.0-0.6.rc2.fc21.noarch.rpm
          librecad-2.0.0-0.6.rc2.fc21.src.rpm
librecad.x86_64: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-devel.x86_64: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-devel.x86_64: W: no-documentation
librecad-fonts.noarch: W: spelling-error Summary(en_US) lff -> ff, luff, eff
librecad-fonts.noarch: W: spelling-error %description -l en_US lff -> ff, luff, eff
librecad-fonts.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-langs.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-parts.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-patterns.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad.src: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
7 packages and 0 specfiles checked; 0 errors, 10 warnings.

---> Url works fine in a webbrowser. Others are false positives.



Rpmlint (installed packages)
----------------------------
# rpmlint librecad-langs librecad-patterns librecad librecad-part 
s librecad-devel librecad-fonts
librecad-langs.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-patterns.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad.x86_64: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-parts.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-devel.x86_64: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
librecad-devel.x86_64: W: no-documentation
librecad-fonts.noarch: W: spelling-error Summary(en_US) lff -> ff, luff, eff
librecad-fonts.noarch: W: spelling-error %description -l en_US lff -> ff, luff, eff
librecad-fonts.noarch: W: invalid-url URL: http://librecad.org/ HTTP Error 405: Method Not Allowed
6 packages and 0 specfiles checked; 0 errors, 9 warnings.
# echo 'rpmlint-done:'

---> Url works fine in a webbrowser. Others are false positives.


Requires
--------
librecad-langs (rpmlib, GLIBC filtered):

librecad-patterns (rpmlib, GLIBC filtered):

librecad (rpmlib, GLIBC filtered):
    /bin/sh
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtHelp.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSql.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libc.so.6()(64bit)
    libdxfrw.so.0()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libm.so.6()(64bit)
    libmuparser.so.2()(64bit)
    libpthread.so.0()(64bit)
    librecad-fonts
    librecad-langs
    librecad-parts
    librecad-patterns
    libshp.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)
    shared-mime-info

librecad-parts (rpmlib, GLIBC filtered):

librecad-devel (rpmlib, GLIBC filtered):
    librecad(x86-64)

librecad-fonts (rpmlib, GLIBC filtered):



Provides
--------
librecad-langs:
    librecad-langs

librecad-patterns:
    librecad-patterns

librecad:
    application()
    application(librecad.desktop)
    librecad
    librecad(x86-64)
    mimehandler(image/vnd.dxf)

librecad-parts:
    librecad-parts

librecad-devel:
    librecad-devel
    librecad-devel(x86-64)

librecad-fonts:
    librecad-fonts



Unversioned so-files
--------------------
librecad: /usr/lib64/librecad/plugins/libalign.so
librecad: /usr/lib64/librecad/plugins/libasciifile.so
librecad: /usr/lib64/librecad/plugins/libimportshp.so
librecad: /usr/lib64/librecad/plugins/liblist.so
librecad: /usr/lib64/librecad/plugins/libsameprop.so
librecad: /usr/lib64/librecad/plugins/libsample.so

Source checksums
----------------
https://github.com/LibreCAD/LibreCAD/archive/f87828ec55def73aaa8c3c3e158fc1abc8171b63/librecad-2.0.0rc2.tar.gz :
  CHECKSUM(SHA256) this package     : 52d4940d3650f3e4cbc2244d591373b8f52029516a112ce1bc95d24c5f302084
  CHECKSUM(SHA256) upstream package : 52d4940d3650f3e4cbc2244d591373b8f52029516a112ce1bc95d24c5f302084


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 950171
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

Thanks for packaging this, Tom!  This package is finally APPROVED!!!
Comment 19 Tom "spot" Callaway 2013-10-21 04:56:58 EDT
New Package SCM Request
=======================
Package Name: librecad
Short Description: Computer Assisted Design (CAD) Application
Owners: spot
Branches: f18 f19 f20
InitialCC:
Comment 20 Alain Portal 2013-10-21 05:36:05 EDT
Could you please request for EL6?
Comment 21 Tom "spot" Callaway 2013-10-21 06:19:22 EDT
New Package SCM Request
=======================
Package Name: librecad
Short Description: Computer Assisted Design (CAD) Application
Owners: spot
Branches: f18 f19 f20 el6
InitialCC:
Comment 22 Gwyn Ciesla 2013-10-21 08:15:10 EDT
Git done (by process-git-requests).
Comment 23 Fedora Update System 2014-01-22 14:25:12 EST
librecad-2.0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/librecad-2.0.2-1.fc20
Comment 24 Fedora Update System 2014-01-22 14:25:26 EST
librecad-2.0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/librecad-2.0.2-1.fc19
Comment 25 Fedora Update System 2014-01-23 06:01:27 EST
librecad-2.0.2-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 26 Fedora Update System 2014-02-02 21:47:15 EST
librecad-2.0.2-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 27 Tom "spot" Callaway 2014-06-26 17:00:30 EDT
Package Change Request
======================
Package Name: librecad
New Branches: epel7
Owners: spot
Comment 28 Gwyn Ciesla 2014-06-27 10:50:02 EDT
Git done (by process-git-requests).
Comment 29 Fedora Update System 2014-09-11 11:56:42 EDT
librecad-2.0.5-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/librecad-2.0.5-2.el7
Comment 30 Fedora Update System 2014-09-11 11:56:54 EDT
librecad-2.0.5-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/librecad-2.0.5-2.fc21
Comment 31 Fedora Update System 2014-09-11 11:57:02 EDT
librecad-2.0.5-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/librecad-2.0.5-2.fc20
Comment 32 Fedora Update System 2014-09-11 11:57:11 EDT
librecad-2.0.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/librecad-2.0.5-2.fc19
Comment 33 Fedora Update System 2014-09-26 05:03:29 EDT
librecad-2.0.5-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2014-09-26 05:06:46 EDT
librecad-2.0.5-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2014-09-27 05:48:37 EDT
librecad-2.0.5-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 36 Alain Portal 2014-09-27 07:59:09 EDT
Can we hope a package for EPEL6?
Comment 37 Fedora Update System 2014-09-27 14:45:21 EDT
librecad-2.0.5-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 38 Tom "spot" Callaway 2014-10-09 09:53:11 EDT
(In reply to Alain Portal from comment #36)
> Can we hope a package for EPEL6?

No. The EPEL6 compiler is too old, librecad depends on c++11 features that didn't show up until gcc 4.7.

Note You need to log in before you can comment on or make changes to this bug.